Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Connector_Base< SVC_HANDLER > Class Template Reference

This base interface allows ACE_NonBlocking_Connect_Handler to only care about the SVC_HANDLER template parameter of the ACE_Connector. Otherwise, ACE_NonBlocking_Connect_Handler would have to be configured with all the template parameters that ACE_Connector is configured with. More...

`#include <Connector.h>`

Inheritance diagram for ACE_Connector_Base< SVC_HANDLER >:

[legend]
List of all members.

## Public Member Functions
virtual | ~ACE_Connector_Base (void)
virtual void | initialize_svc_handler (ACE_HANDLE handle, SVC_HANDLER *svc_handler)=0
| Initialize the Svc_Handler.
virtual ACE_Unbounded_Set< ACE_HANDLE > & | non_blocking_handles (void)=0

## Detailed Description

### template<class SVC_HANDLER>
class ACE_Connector_Base< SVC_HANDLER >

This base interface allows ACE_NonBlocking_Connect_Handler to only care about the SVC_HANDLER template parameter of the ACE_Connector. Otherwise, ACE_NonBlocking_Connect_Handler would have to be configured with all the template parameters that ACE_Connector is configured with.

## Constructor & Destructor Documentation

template<class SVC_HANDLER>
virtual ACE_Connector_Base< SVC_HANDLER >::~ACE_Connector_Base | ( | void |  | ) | `[inline, virtual]`

## Member Function Documentation

template<class SVC_HANDLER>
virtual void ACE_Connector_Base< SVC_HANDLER >::initialize_svc_handler | ( | ACE_HANDLE | handle,
|  | SVC_HANDLER * | svc_handler
| ) | `[pure virtual]`

| Initialize the Svc_Handler. Implemented in ACE_Connector< SVC_HANDLER, >, and ACE_Connector< SVC_HANDLER, ACE_PEER_CONNECTOR_2 >.

template<class SVC_HANDLER>
virtual ACE_Unbounded_Set<ACE_HANDLE>& ACE_Connector_Base< SVC_HANDLER >::non_blocking_handles | ( | void |  | ) | `[pure virtual]`

| Return the handle set representing the non-blocking connects in progress. Implemented in ACE_Connector< SVC_HANDLER, >, and ACE_Connector< SVC_HANDLER, ACE_PEER_CONNECTOR_2 >.

The documentation for this class was generated from the following file:

- Connector.h